import React from "react";
import { Modal, ModalBody, ModalHeader } from "reactstrap";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faTimes } from "@fortawesome/free-solid-svg-icons";

import "./Modal.scss";

const CommentModal = ({ modal, toggle }) => {
  return (
    <div>
      <Modal isOpen={modal} toggle={toggle} style={{top: '10rem',}}>
        <ModalHeader className='modalHeader'>
          <button className="btn" onClick={toggle}>
            <FontAwesomeIcon icon={faTimes} />
          </button>
        </ModalHeader>
        <ModalBody className='modalBody'>
          <textarea
            className="InputGetComment"
            placeholder="نظر خود را بنویسید..."
          ></textarea>
          <button className="sendComment" onClick={toggle}>
            ارسال
          </button>
        </ModalBody>
      </Modal>
    </div>
  );
};

export default CommentModal;
