import React from "react";
import camera from "../../assets/camera.svg";
import chat from "../../assets/chat.svg";
import phone from "../../assets/phone.svg";

import "./Request.scss";

const Request = () => {
  const requestItem = [
    {
      title: "تماس تصویری",
      icon: camera,
      alt: "تماس تصویری ",
      bgColor: "#A8E03D50",
      color: '#A8E03D',
    },
    {
      title: "چت",
      icon: chat,
      alt: "چت و صحبت با کاربران",
      bgColor: "#08E3E450",
      color: '#08E3E4',
    },
    {
      title: "تماس صوتی",
      icon: phone,
      alt: "تماس صوتی به تلفن همراه",
      bgColor: "#F8767450",
      color: '#F87674',
    },
  ];
  return (
    <>
      <section className="navContianer">
        <header className="navItems">
          {requestItem.map((item) => (
            <nav className="navItem">
              <span
                style={{ backgroundColor: item.bgColor }}
                className="backgroundColorIcon"
              >
                <img alt={item.alt} src={item.icon} />
              </span>
              <p className="title">{item.title}</p>
            </nav>
          ))}
        </header>
        <button className="btnRequest">ارسال درخواست به صندوق پیام</button>
      </section>
    </>
  );
};

export default Request;
